<template>
  <div>
    <ul>
      <li v-for="ticket in tickets" :key="ticket.id">
        user_id - {{ticket.user_id}},
        waiting - {{ticket.waiting}},
        ticket_id - {{ticket.id}},
        manager_id - {{ticket.manager_id}},
        status - {{ticket.status}}
        <button @click="getMessage(ticket.id)">открыть сообщения</button>
      </li>
    </ul>
    {{ message }}
  </div>
</template>

<script>
import axios from 'axios'

export default {
  data() {
    return {
      tickets: [],
      message: []
    }
  },
  methods: {
    getMessage(id) {
      axios
        .get(`https://support.wbrush.local/api/test/ticket/${id}`)
        .then(response => (
          this.message = response.data.success.data
        )
      );
    }
  },
  mounted() {
    axios
      .get('https://support.wbrush.local/api/test/tickets')
      .then(response => (
          this.tickets = response.data.success.data
        )
      );
  }
}
</script>
